/*!
* @file FixedArtifact.cpp
* @brief ゲーム中の固定アーティファクトを定義する
* @date 2013/12/17
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "FixedArtifact.h"

namespace Deeangband
{

	FixedArtifact::FixedArtifact(ID id, TAG tag, GameWorld *gameWorld) : ItemTemplate(id, tag, gameWorld)
	{
		this->SetDammyData();
	}

	FixedArtifact::FixedArtifact(void)
	{
		this->SetDammyData();
	}

	FixedArtifact::~FixedArtifact(void)
	{
	}

	void FixedArtifact::SetDammyData(void)
	{
		this->name = "ぬぞぷり";
		this->weight = 0;
	}

}